<?php
include('cfg.php');
$var=explode(",",$_SERVER['QUERY_STRING']);
echo '<link rel="stylesheet" type="text/css" href="style.css"/>
<title>Цивилизация</title>
<body>';
$per_page=$user[massages];
// получаем номер страницы
if (isset($_GET['page'])) $page=($_GET['page']-1); else $page=0;
// вычисляем первый оператор для LIMIT
$start=abs($page*$per_page);
// составляем запрос и выводим записи
// переменную $start используем, как нумератор записей.
$q="SELECT * FROM `msg` WHERE `to_whom_id`='$id' AND `input`='1' ORDER BY  id  DESC LIMIT $start,$per_page";
echo '<div class="head">['.$user[country].']</div>';
$res=mysql_query($q);
if(mysql_num_rows($res) != 0)
{
if (isset($_GET['n']) AND abs($_GET['idz'])!='0')
	{
	echo '</div><div class="money">Жалоба отправлена, администрация будет в курсе.<br /><a href="./input.php">Далее</a></div>';
	 $text='<b>'.$user['login'].'</b> Сделал жалобу на сообщение игрока с id '.$_GET['idz'].'';
	send_mess("Dizzy",$text,"Система",'');
	send_mess("admin",$text,"Система",'');
	}
while($row=mysql_fetch_array($res))
{
if($row[read] == 0)
{
	if ($row['by_whom_id'] == '0')
		{
		echo '
		<link rel="stylesheet" type="text/css" href="style.css"/>
		<b><div class="info">'.$row['by_whom'].' '.$row[when].'->'.$row[what].'</b>';
		}
		 else {
echo '<link rel="stylesheet" type="text/css" href="style.css"/>
<div class="info">
<b><a href="about.php?,'.$row['by_whom_id'].'">'.$row['by_whom'].'</a> '.$row[when].'->'.$row[what].'</b>';
			  }
}
else
{
	if ($row['by_whom_id'] == '0')
		{
		echo '
		<link rel="stylesheet" type="text/css" href="style.css"/>
		<div class="info">'.$row['by_whom'].' '.$row[when].'->'.$row[what].'</b>';
		} else {
echo '
<link rel="stylesheet" type="text/css" href="style.css"/>
<div class="info">
<a href="profile.php?a=view&amp;uid='.$row['by_whom_id'].'">'.$row['by_whom'].'</a> '.$row[when].'->'.$row[what].'</b>';
			   }
}

if ($row['by_whom_id'] == '0')
		{
		echo '</div>';
		}
		else echo '
<br /><b><a href="func.php?answ_msg,'.$row['by_whom_id'].'">Ответить</a></b> / (<a href="input.php?n=1&amp;idz='.$row['by_whom_id'].'">жал.</a>)</div>
';
}
echo '<a class="razd" href="func.php?del_msg,all,input">Очистить почту</a><div class="info">';

// дальше выводим ссылки на страницы:
$q="SELECT count(*) FROM `msg` WHERE to_whom_id='$id' AND `input`='1'";
$res=mysql_query($q);
$row=mysql_fetch_row($res);
$total_rows=$row[0];

$num_pages=ceil($total_rows/$per_page);

for($i=1;$i<=$num_pages;$i++) {
  if ($i-1 == $page) {
    echo '['.$i."] ";
  } else {
    echo '<a href="'.$_SERVER['PHP_SELF'].'?page='.$i.'">'.$i."</a> ";
  }
}
mysql_query("UPDATE `msg` SET `read` = '1' WHERE `msg`.`to_whom_id` ='$id';");
}
else
{
	echo '<div class="money">У вас нет входящих сообщений!</div>';
}
echo '</div><a class="razd" href="msg.php">'.$iback.' Назад</a><div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>';
?>